Package org.flywaydb.core.api

## Class FlywayException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.flywaydb.core.api.FlywayException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `FlywayValidateException`

      public class FlywayException
      extends java.lang.RuntimeException

  Exception thrown when Flyway encounters a problem.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlywayException()` | Creates a new FlywayException.
    `FlywayException​(java.lang.String message)` | Creates a new FlywayException with this message.
    `FlywayException​(java.lang.String message, java.lang.Throwable cause)` | Creates a new FlywayException with this message and this cause.
    `FlywayException​(java.lang.String message, java.lang.Throwable cause, ErrorCode errorCode)` | Creates a new FlywayException with this message, cause, and error code.
    `FlywayException​(java.lang.String message, ErrorCode errorCode)` | Creates a new FlywayException with this message and error code
    `FlywayException​(java.lang.Throwable cause)` | Creates a new FlywayException with this cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ErrorCode` | `getErrorCode()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlywayException

          public FlywayException​(java.lang.String message,
                                 java.lang.Throwable cause,
                                 ErrorCode errorCode)

      Creates a new FlywayException with this message, cause, and error code.
      Parameters:
        `message` - The exception message.
        `cause` - The exception cause.
        `errorCode` - The error code.

    - #### FlywayException

          public FlywayException​(java.lang.String message,
                                 ErrorCode errorCode)

      Creates a new FlywayException with this message and error code
      Parameters:
        `message` - The exception message.
        `errorCode` - The error code.

    - #### FlywayException

          public FlywayException​(java.lang.String message,
                                 java.lang.Throwable cause)

      Creates a new FlywayException with this message and this cause.
      Parameters:
        `message` - The exception message.
        `cause` - The exception cause.

    - #### FlywayException

          public FlywayException​(java.lang.Throwable cause)

      Creates a new FlywayException with this cause. For use in subclasses that override getMessage().
      Parameters:
        `cause` - The exception cause.

    - #### FlywayException

          public FlywayException​(java.lang.String message)

      Creates a new FlywayException with this message.
      Parameters:
        `message` - The exception message.

    - #### FlywayException

          public FlywayException()

      Creates a new FlywayException. For use in subclasses that override getMessage().

  - ### Method Detail

    - #### getErrorCode

          public ErrorCode getErrorCode()